
Redmine - Patch #29999

Update rdoc gem

2018-11-20 09:41 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Redmine uses rdoc gem 4.3.0 that was released 2 years ago. According to the commit log of r15945, this is because the newer

versions of rdoc requires RubyGems 2.2 which is too high for Redmine at that time.

But now, the current trunk requires Ruby >=2.2, so we can assume that the version of RubyGems is at least 2.4.5. We can update

RubyGems to the latest version.

Index: Gemfile

===================================================================

--- Gemfile    (revision 17629)

+++ Gemfile    (working copy)

@@ -79,7 +79,7 @@

 end

 group :development do

-  gem "rdoc", "~> 4.3" 

+  gem "rdoc" 

   gem "yard" 

 end

Related issues:

Related to Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Associated revisions

Revision 17640 - 2018-11-27 12:11 - Go MAEDA

Unpin rdoc gem version (#29999).

History

#3 - 2018-11-25 10:58 - Go MAEDA

- Target version set to 4.1.0

#4 - 2018-11-25 10:58 - Go MAEDA

- Related to Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#5 - 2018-11-25 10:59 - Go MAEDA

- Description updated

#6 - 2018-11-27 12:12 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.

#7 - 2018-11-27 12:19 - Go MAEDA

- Target version changed from 4.1.0 to 4.0.0
